###################################################
### chunk number 1: setup
###################################################
require("party")
options(useFancyQuotes = FALSE)


###################################################
### chunk number 2: 
###################################################
library("party")


###################################################
### chunk number 3: 
###################################################
data("BostonHousing", package = "mlbench")


###################################################
### chunk number 4: 
###################################################
BostonHousing$lstat <- log(BostonHousing$lstat)
BostonHousing$rm <- BostonHousing$rm^2


###################################################
### chunk number 5: 
###################################################
BostonHousing$chas <- factor(BostonHousing$chas, levels = 0:1, labels = c("no", "yes"))
BostonHousing$rad <- factor(BostonHousing$rad, ordered = TRUE)


###################################################
### chunk number 6: 
###################################################
ctrl <- mob_control(alpha = 0.05, bonferroni = TRUE, minsplit = 40,
  objfun = deviance, verbose = TRUE)


###################################################
### chunk number 7: 
###################################################
fmBH <- mob(medv ~ lstat + rm | zn + indus + chas + nox + age + dis + rad + tax + crim + b + ptratio,
  data = BostonHousing, control = ctrl, model = linearModel)


###################################################
### chunk number 8: 
###################################################
fmBH


###################################################
### chunk number 9:  eval=FALSE
###################################################
## plot(fmBH)


###################################################
### chunk number 10: BostonHousing-plot
###################################################
plot(fmBH)


###################################################
### chunk number 11: 
###################################################
coef(fmBH)


###################################################
### chunk number 12: 
###################################################
summary(fmBH, node = 7)


###################################################
### chunk number 13: 
###################################################
sctest(fmBH, node = 7)


###################################################
### chunk number 14: 
###################################################
mean(residuals(fmBH)^2)
logLik(fmBH)
AIC(fmBH)


###################################################
### chunk number 15: 
###################################################
nt <- NROW(coef(fmBH))
nk <- NCOL(coef(fmBH))


###################################################
### chunk number 16: 
###################################################
data("PimaIndiansDiabetes2", package = "mlbench")
PimaIndiansDiabetes <- na.omit(PimaIndiansDiabetes2[,-c(4, 5)])


###################################################
### chunk number 17: 
###################################################
fmPID <- mob(diabetes ~ glucose | pregnant + pressure + mass + pedigree + age,
  data = PimaIndiansDiabetes, model = glinearModel, family = binomial())


###################################################
### chunk number 18:  eval=FALSE
###################################################
## plot(fmPID)


###################################################
### chunk number 19: PimaIndiansDiabetes-plot
###################################################
plot(fmPID)


###################################################
### chunk number 20: 
###################################################
coef(fmPID)
exp(coef(fmPID)[,2])


###################################################
### chunk number 21: 
###################################################
risk <- round(100 * (exp(coef(fmPID)[,2])-1), digits = 1)


